/*
 *	MIMeWave data viewer
 *
 *	"nmime.c"
 *
 *		Version 1.00	June 13, 1995
 *
 *		Copyright (C) 1995 by Sony Computer Entertainment Inc.
 *		All Rights Reserved.
 */

#define MIMEMAX	0x50
#define OBJMAX	4
#define MIMEMODELMAX 4

#ifdef NMIMEMAIN
#define NMIMEGLOBAL
#else /* !NMIMEMAIN */
#define NMIMEGLOBAL extern
#endif /* !NMIMEMAIN */

NMIMEGLOBAL long mimepr[MIMEMODELMAX][MIMEMAX];

int init_mime_data(int id, u_long *modeladdr, u_long *mdfdatavtx, u_long *mdfdatanrm, u_long *orgvtxbuf, u_long *orgnrmbuf);
void vertex_mime(int id);
void normal_mime(int id);
void reset_mime_vdf(int id);
void reset_mime_ndf(int id);
